%global glib2_version 2.73.1
%global url_ver %%(echo %{version} | cut -d . -f1-2)

Summary:        A sampling CPU profiler for Linux
Name:           sysprof
Version:        3.48.0
Release:        4%{?dist}

License:        GPLv3+
URL:            http://www.sysprof.com
Source0:        https://download.gnome.org/sources/sysprof/%{url_ver}/sysprof-%{version}.tar.xz

BuildRequires:  gcc, gcc-c++, meson, vala
BuildRequires:  gettext, itstool
BuildRequires:  pkgconfig(gio-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gio-unix-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(systemd)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  /usr/bin/appstream-util
BuildRequires:  /usr/bin/desktop-file-validate
Requires:       libsysprof-ui = %{version}-%{release}

Requires:       glib2 >= %{glib2_version}
Requires:       hicolor-icon-theme
Requires:       %{name}-cli = %{version}-%{release}

%description
Sysprof is a sampling profiler that uses a kernel module to generate
stacktraces which are then interpreted by the userspace program
"sysprof".


%package        cli
Summary:        Sysprof command line utility
Requires:       kernel-tools
Requires:       libsysprof = %{version}-%{release}

%description    cli
This package provides the sysprof-cli command line utility.



%package     -n libsysprof
Summary:        Sysprof libraries

%description -n libsysprof
This package provides the Sysprof libraries.


%package     -n libsysprof-ui
Summary:        Sysprof UI library and header files

%description -n libsysprof-ui
This package provides the Sysprof UI library and header files.


%package        capture-devel
Summary:        Development files for sysprof-capture static library
License:        BSD-2-Clause-Patent
Provides:       sysprof-capture-static = %{version}-%{release}

%description    capture-devel
This package provides the sysprof-capture static library and header files.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-capture-devel = %{version}-%{release}
Requires:       libsysprof = %{version}-%{release}
Requires:       libsysprof-ui = %{version}-%{release}

%description    devel
This package provides libraries and header files for developers who use %{name}.



%prep
%autosetup


%build
%meson -Dlibunwind=false

%meson_build



%install
%meson_install


%find_lang %{name} --with-gnome



%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop




%files
%license COPYING
%doc NEWS README.md AUTHORS
%{_bindir}/sysprof-agent
%{_bindir}/sysprof
%{_datadir}/applications/org.gnome.Sysprof.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/metainfo/org.gnome.Sysprof.appdata.xml
%{_datadir}/mime/packages/sysprof-mime.xml

%files cli -f %{name}.lang
%{_bindir}/sysprof-cli
%{_libexecdir}/sysprofd
%{_datadir}/dbus-1/system.d/org.gnome.Sysprof2.conf
%{_datadir}/dbus-1/system.d/org.gnome.Sysprof3.conf
%{_datadir}/dbus-1/system-services/org.gnome.Sysprof2.service
%{_datadir}/dbus-1/system-services/org.gnome.Sysprof3.service
%{_datadir}/polkit-1/actions/org.gnome.sysprof3.policy
%{_unitdir}/sysprof2.service
%{_unitdir}/sysprof3.service

%files -n libsysprof
%{_libdir}/libsysprof-4.so
%{_libdir}/libsysprof-memory-4.so
%{_libdir}/libsysprof-speedtrack-4.so

%files -n libsysprof-ui
%{_libdir}/libsysprof-ui-5.so
%{_includedir}/sysprof-ui-5/sysprof-check.h
%{_includedir}/sysprof-ui-5/sysprof-display.h
%{_includedir}/sysprof-ui-5/sysprof-model-filter.h
%{_includedir}/sysprof-ui-5/sysprof-notebook.h
%{_includedir}/sysprof-ui-5/sysprof-page.h
%{_includedir}/sysprof-ui-5/sysprof-process-model-row.h
%{_includedir}/sysprof-ui-5/sysprof-ui.h
%{_includedir}/sysprof-ui-5/sysprof-visualizer-group.h
%{_includedir}/sysprof-ui-5/sysprof-visualizer.h
%{_includedir}/sysprof-ui-5/sysprof-zoom-manager.h


%files capture-devel
%license src/libsysprof-capture/COPYING
%dir %{_includedir}/sysprof-4
%{_includedir}/sysprof-4/sysprof-address.h
%{_includedir}/sysprof-4/sysprof-capture-condition.h
%{_includedir}/sysprof-4/sysprof-capture-cursor.h
%{_includedir}/sysprof-4/sysprof-capture.h
%{_includedir}/sysprof-4/sysprof-capture-reader.h
%{_includedir}/sysprof-4/sysprof-capture-types.h
%{_includedir}/sysprof-4/sysprof-capture-writer.h
%{_includedir}/sysprof-4/sysprof-clock.h
%{_includedir}/sysprof-4/sysprof-collector.h
%{_includedir}/sysprof-4/sysprof-macros.h
%{_includedir}/sysprof-4/sysprof-platform.h
%{_includedir}/sysprof-4/sysprof-version.h
%{_includedir}/sysprof-4/sysprof-version-macros.h
%{_libdir}/libsysprof-capture-4.a
%{_libdir}/pkgconfig/sysprof-capture-4.pc
%{_libdir}/pkgconfig/sysprof-ui-5.pc

%files devel
%{_includedir}/sysprof-4/
%{_libdir}/pkgconfig/sysprof-4.pc
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof2.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof3.Profiler.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof3.Service.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof.Agent.xml


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.48.0-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.48.0-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.48.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Shuo Wang <abushwang@tencent.com> - 3.48.0-1
- update to 3.48.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.43.90-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.43.90-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Sep 9 2022 cunshunxia <cunshunxia@tencent.com> - 3.43.90-1
- initial build
